---
title: "Lists the product categories the store may use."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › product

`GET /v1/stores/{store}/categories`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `product:read`

## Path parameters

- `store` (`listCategories.path.store`; string, required) — The store's id.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/categories' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/categories';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/categories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Lists the product categories the store may use.

#### Example

```json
[
  {
    "enabled": true,
    "id": "string",
    "label": "string",
    "discountable": true,
    "subscribable": true,
    "reviewable": true,
    "repeatable": true,
    "aside_size": "string"
  }
]
```

- `enabled` (`listCategories.response.200.enabled`; boolean, required)
- `id` (`listCategories.response.200.id`; string, required)
- `label` (`listCategories.response.200.label`; string, required)
- `discountable` (`listCategories.response.200.discountable`; boolean, required)
- `subscribable` (`listCategories.response.200.subscribable`; boolean, required)
- `reviewable` (`listCategories.response.200.reviewable`; boolean, required)
- `repeatable` (`listCategories.response.200.repeatable`; boolean, required) — Bought again and again: a coffee, a donation, an invoice, a seat, a slot.
- `aside_size` (`listCategories.response.200.aside_size`; string, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listCategories.response.default.type`; string, required)
  - format `uri`
- `title` (`listCategories.response.default.title`; string, required)
- `status` (`listCategories.response.default.status`; integer, required)
- `detail` (`listCategories.response.default.detail`; string, required)
- `code` (`listCategories.response.default.code`; string, optional)
- `context` (`listCategories.response.default.context`; object, optional)
- `reached_core` (`listCategories.response.default.reached_core`; boolean, optional)
- `core_answer` (`listCategories.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-categories/index.md
